#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	markupsafe
Summary:	MarkupSafe - a XML/HTML/XHTML Markup safe string for Python 2
Summary(pl.UTF-8):	MarkupSafe - łańcuch dla Pythona 2 bezpieczny pod kątem znaczników XML/HTML/XHTML
Name:		python-%{module}
Version:	1.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/pypi/MarkupSafe
Source0:	https://files.pythonhosted.org/packages/source/M/MarkupSafe/MarkupSafe-%{version}.tar.gz
# Source0-md5:	2fcedc9284d50e577b5192e8e3578355
URL:		http://www.pocoo.org/projects/markupsafe/#markupsafe
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
Provides:	python-MarkupSafe = %{version}-%{release}
Obsoletes:	python-MarkupSafe < 0.15-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MarkupSafe implements a XML/HTML/XHTML Markup safe string for Python.

%description -l pl.UTF-8
MarkupSafe to implementacja łańcucha znaków dla Pythona bezpiecznego
pod kątem znaczników XML/HTML/XHTML.

%package -n python3-markupsafe
Summary:	Implements a XML/HTML/XHTML Markup safe string for Python 3
Summary(pl.UTF-8):	MarkupSafe - łańcuch dla Pythona 3 bezpieczny pod kątem znaczników XML/HTML/XHTML
Group:		Development/Languages
Requires:	python3-modules

%description -n python3-markupsafe
MarkupSafe implements a XML/HTML/XHTML Markup safe string for Python.

%description -n python3-markupsafe -l pl.UTF-8
MarkupSafe to implementacja łańcucha znaków dla Pythona bezpiecznego
pod kątem znaczników XML/HTML/XHTML.

%prep
%setup -q -n MarkupSafe-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
# C code errantly gets installed
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/markupsafe/_speedups.c
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/markupsafe/_speedups.c
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.rst
%dir %{py_sitedir}/markupsafe
%{py_sitedir}/markupsafe/*.py[co]
%attr(755,root,root) %{py_sitedir}/markupsafe/_speedups.so
%{py_sitedir}/MarkupSafe-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-markupsafe
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.rst
%dir %{py3_sitedir}/markupsafe
%{py3_sitedir}/markupsafe/*.py
%{py3_sitedir}/markupsafe/__pycache__
%attr(755,root,root) %{py3_sitedir}/markupsafe/_speedups.cpython-*.so
%{py3_sitedir}/MarkupSafe-%{version}-py*.egg-info
%endif
%changelog
* Mon Mar 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-markupsafe.git;a=log;h=master

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 4cbda2d
- updated to 1.0, now builds in the sane way

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f9ce81
- python3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c7cf0f6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5be30e4
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e2092c7
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9386ae9
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a7bc84
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> b15ed0c
- use setuptools instead of distribute

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 822388d
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9646ede
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 29 2015 Jakub Bogusz <qboosh@pld-linux.org> ba9d2fe
- updated to 0.23

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8034e6e
- python 3.4
- release 2 (by relup.sh)

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 02f65cc
- updated to 0.18
- pl

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> a8646d2
- renamed to python-markupsafe

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> d1b3c51
- build python3 package

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> be77577
- looks fine; rel 1

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> bcfd65e
- up to 0.15

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 933a582
- BR: python-setuptools

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> de06c19
- missing dir

* Sat Jan 29 2011 zbyniu <zbyniu@pld-linux.org> a79f2be
- new

